PROJECT_NAME := "huesoporro"
PROJECT_TAG := "latest"
PROJECT_TARGET := "serve"

fmt:
	uvx pre-commit run --all-files --color always

fmt--mypy:
	uvx pre-commit run --all-files --color always mypy

fmt--add-noqa:
	uvx ruff check --add-noqa .

fmt--autoupdate:
	uvx pre-commit autoupdate


.PHONY: tests
tests:
	uv run pytest --cov=src -vv tests
	uv run coverage html
	uv run coverage xml

serve:
	uv run python src/apps/httpapi/litestar/main.py

build:
	docker build . -t git.roboces.dev/catalin/$(PROJECT_NAME):$(PROJECT_TAG) --target $(PROJECT_TARGET)

migrate:
	uv run caribou upgrade ~/.local/share/huesoporro/huesoporro.db migrations/